html, body{
    padding: 0%;
    margin: 0%;
    height: 100%;
    width: 100%;
    background-color: #ffffff;
    font-family: 'Hind Siliguri', sans-serif;
}

/* header container */
.header-container{
    position: relative;
    padding: 1.5rem;
    border-bottom: 2px solid #000000;
}
.header-container .row{
    width: 80%;
    margin: auto;
}
.nav-link{
    color: #000000;
}
.nav-pills .active{
    background-color: #cc2c3e !important;
}

/* styles for the header */
h1{
    font-weight: bold;
    color: #000000 !important; 
    font-size: 1.5rem;
}
.fa-canadian-maple-leaf{
    color: #cc2c3e;
    background-color: #FFFFFF;
    padding: 10px;
    margin-right: 5px;
    border-radius: 50%;
    border: 2px solid #cc2c3e;
}
.nav-container{
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

/* home page / welcome page */
.home-container{
    text-align: center;
    width: 100%;
    height: 100%;
    position: relative;
    padding: 0;
    margin: 0;
}
#greetings-bg{
    background-color: #000000;
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: 0;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0.5;
}
#greetings{
    position: absolute;
    z-index: 0;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #FFFFFF !important;
    letter-spacing: 8px;
    font-size: 3rem;
    padding: 1rem;
    width: auto;
    font-family: 'Hind Siliguri', sans-serif;
}
.carousel-item{
    height: 83vh;
    width: 100%;
}
.carousel-item img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}
.carousel-control-prev, .carousel-control-next{
    z-index: 2;
}


/* styles for the row data */
.train-schedules-container{
    margin: 2.5% auto;
}
h3{
    font-weight: bold;
    text-align: center;
    color: #000000;
    width: auto;
    padding: 1%;
    font-size: 2em;
}
.column-headers-container{
    text-align: center;
    font-weight: bold;   
}
.train-rows-container{
    padding: 1.5% 0px;
}
.train-row{
    background-color: #FFFFFF;
    color: black !important;
    margin-top: 10px;
    padding: 1% 0px;
    border-radius: 5px;
    width: auto;
    opacity: 0.9;
}
.train-row:hover{
    border: 1px solid #cc2c3e;
    border-radius: 15px;
}
#train-names{
    font-size: 1.5em;
    border-bottom: 1px solid #000000;
    width: 50%;
    margin: auto;
    margin-bottom: 10px;
    text-align: center;
    padding: 10px;
}
.train-row-labels{
    font-weight: bold;
}
.train-info{
    width: 20%;
    text-align: left;
    margin: auto;
    font-size: 1.1em;
}

/* styles for form container */
.add-schedule-container{
    background-color: transparent;
    height: auto;
    width: auto;
    padding: 2%;
}
form{
    padding-bottom: 50px;
    height: auto;
}
form label{
    font-weight: bold;
}
#add-btn, #cancel-btn{
    margin-left: 10px;
    padding: 8px 15px;
    padding-bottom: 5px;
    background-color: #cc2c3e;
    border: 2px solid #cc2c3e;
}
#add-btn:hover, #cancel-btn:hover{
    background-color: #FFFFFF;
    color: #cc2c3e;
}

.footer-container{
    text-align: center;
    padding: 1rem;
}

/* media queries */
@media screen and (max-width: 960px){
    .header-container .row{
        width: 100%;
    }
    /* #train-names{
        font-size: 1.2em;
        width: 50%;
    } */
    /* .train-info{
        width: 25%;
    } */
}

@media screen and (max-width: 640px){
    .header-container{
        /* padding: 0%; */
        /* margin: 0%; */
        text-align: center;
    }
    h1{
        /* font-size: 1.3rem;
        padding: 0; */
        /* text-align: center; */
    }
    /* #train-names{
        font-size: 1.1em;
        width: 100%;
    } */
    /* .train-info{
        width: 55%;
    } */
}